function chooseDepartOrPerson(obj){
	//	obj.dialogId       弹框的选择器
	//  obj.chooseSure     弹框确认按钮的选择器
	//  obj.saveResultBox  点确定后存放选择结果的容器的选择器
	//  obj.ajaxurl        获取部门和成员的接口信息, 默认是不包括超级管理员的, 消息的发送范围要传包括超管的接口
	//  obj.atLeastOne     是否需要至少选择一个部门或成员, 默认为false
	//  obj.atLeastWord    当可以不选择部门或成员时, 结果框里显示的文字或元素
	//	obj.chooseDepart   是否选择部门,默认为false
	//	obj.choosePerson   是否选择人员,默认为false

	//  obj.singleCheck    是否单选,默认为false

	//  obj.isCallback     选择部门或人员后,是否需要回调方法,默认为false
	//  obj.callbackUrl    回调的方法接口,默认是空''
	//  obj.callbackType   回调的方法请求类型,默认是get
	//  obj.callbackParam  回调的方法接收的参数,默认是{}

	//  obj.isSureCarry       点击确定是否需要执行某方法,默认是不执行方法只把选择结果保存在设置的容器里,默认为false,设置该参数为true时,saveResultBox参数将不生效
	//  obj.isSureCarryUrl    确定执行方法接口,默认是空
	//  obj.isSureCarryType   确定执行方法请求类型,默认是get
	//  obj.isSureCarryParam  确定执行方法参数,默认是{}
	//  obj.isSureCarrySource 来源, 因为执行方法的参数名可能不一致, 所以需要区分下

	//  obj.renewLoadUrl      确定执行方法成功后需重新加载的页面(刷新表格),默认是空

	//  obj.useInWeek         是否是在周例会里使用,默认为false
	//  obj.chooseSureHide    弹框隐藏确认按钮的选择器, 即弹框确认按钮点击执行后调用该元素的点击事件, 当点击确认按钮后需执行当前页面的复杂方法时可使用
	// 	obj.closeAllSelect 		是否关闭全选

	//  弹框的内部布局和class等命名需一致
	$(obj.dialogId).modal('show');
	var ajaxurl = '/org/findOrgAndUserTreeNode';
	if( obj.ajaxurl ){ajaxurl = obj.ajaxurl};
	var atLeastOne = obj.atLeastOne || false;
	var atLeastWord = obj.atLeastWord || '';
	var chooseDepart = obj.chooseDepart || false;
	var choosePerson = obj.choosePerson || false;
	var singleCheck = obj.singleCheck || false;
	var isCallback = obj.isCallback || false;
	var callbackUrl = obj.callbackUrl || '';
	var callbackType = obj.callbackType || 'get';
	var callbackParam = obj.callbackParam || {};
	var isSureCarry = obj.isSureCarry || false;
	var isSureCarryUrl = obj.isSureCarryUrl || '';
	var isSureCarryType = obj.isSureCarryType || 'get';
	var isSureCarryParam = obj.isSureCarryParam || {};
	var isSureCarrySource = obj.isSureCarrySource;
	var renewLoadUrl = obj.renewLoadUrl || '';
	var useInWeek = obj.useInWeek || false;
	var closeAllSelect = obj.closeAllSelect || false;
	var isConfirmStatus = obj.isConfirmStatus  || false

	if(closeAllSelect) {
		$('.yk_selector_checkbtn').css({display: 'none'})
	}
	//右侧初始显示结果框里已有的部门或人员
	$(obj.dialogId).find(".yk_check_main").empty();
	for( var i=0;i<$(obj.saveResultBox).find("span").length;i++ ){
		if( $(obj.saveResultBox).find("span").eq(i).attr('type') == 'icon icon-folder-close' ){
			$(obj.dialogId).find(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_depart yk_check_list_item_'+$(obj.saveResultBox).find("span").eq(i).attr("dataid")+'"><i class="icon icon-folder-close"></i><span>'+$(obj.saveResultBox).find("span").eq(i).text()+'</span><i dataid="'+$(obj.saveResultBox).find("span").eq(i).attr("dataid")+'" class="icon icon-remove-circle"></i></li>');
		}else{
			$(obj.dialogId).find(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_user yk_check_list_item_'+$(obj.saveResultBox).find("span").eq(i).attr("dataid")+'"><i class="icon icon-user"></i><span>'+$(obj.saveResultBox).find("span").eq(i).text()+'</span><i dataid="'+$(obj.saveResultBox).find("span").eq(i).attr("dataid")+'" class="icon icon-remove-circle"></i></li>');
		}
	};
	i = null;

	//获取根部门和成员
	function getRootDepartMemberNode(){
		$(obj.dialogId).find('.yk_selector_main').empty();
		$(obj.dialogId).find(".yk_selector_navbar .yk_selector_navbar_item").show();
		$(obj.dialogId).find(".backbtn").hide();
		$(obj.dialogId).find(".yk_selector_navbar .notfirst").remove();
		$(obj.dialogId).find(".yk_selector_checkbtn input").prop("checked",false);
		$.ajax({
			url:ajaxurl,
			type:'get',
			async:false,
			data:{},
			success:function(data){
				for( var i=0;i<data.length;i++ ){
					if( !data[i].type ){//部门
						if( chooseDepart ){
							$(obj.dialogId).find('.yk_selector_main').append('<li dataid="'+data[i].id+'" class="depart"><input class="leftcheck" type="checkbox"><i class="icon icon-folder-close"></i><span>'+data[i].name+'</span><em class="childDepart">子部门</em></li>');
						}else{
							$(obj.dialogId).find('.yk_selector_main').append('<li dataid="'+data[i].id+'" class="depart"><i class="icon icon-folder-close"></i><span>'+data[i].name+'</span><em class="childDepart">子部门</em></li>');
						}
					}else{//成员
						if( choosePerson ){
							$(obj.dialogId).find('.yk_selector_main').append('<li dataid="'+data[i].id+'" class="user"><input class="leftcheck" type="checkbox"><i class="icon icon-user"></i><span>'+data[i].name+'</span></li>');
						};
					}
				};
				i = null;
			},
			error:function(status){
				new $.zui.Messager('获取根部门和成员错误:'+status, {
				    type: 'danger'
				 }).show();
			}
		});
		//右侧已选择部门或成员对应的左侧部门或成员设置为选中状态
		for( var i=0;i<$(obj.dialogId).find(".yk_selector_main li").length;i++ ){
			for( var j=0;j<$(obj.dialogId).find(".yk_check_main li").length;j++ ){
				if( $(obj.dialogId).find('.yk_selector_main li').eq(i).hasClass('user') ){
					if( $(obj.dialogId).find(".yk_selector_main li").eq(i).attr("dataid") == $(obj.dialogId).find(".yk_check_main li").eq(j).find(".icon-remove-circle").attr("dataid") && $(obj.dialogId).find(".yk_check_main li").eq(j).hasClass("yk_check_list_item_user") ){
						$(obj.dialogId).find(".yk_selector_main li").eq(i).find(".leftcheck").prop("checked",true);
						break;
					}
				}else{
					if( $(obj.dialogId).find('.yk_selector_main li').eq(i).attr("dataid") == $(obj.dialogId).find(".yk_check_main li").eq(j).find(".icon-remove-circle").attr("dataid") && $(obj.dialogId).find(".yk_check_main li").eq(j).hasClass("yk_check_list_item_depart") ){
						$(obj.dialogId).find('.yk_selector_main li').eq(i).find(".leftcheck").prop("checked",true);
						$(obj.dialogId).find(".yk_selector_main li").eq(i).find(".childDepart").addClass("disable");
						break;
					}
				}
			};
			j = null;
		};
		i = null;
	};
	getRootDepartMemberNode();

	//填充左侧要选择的部门和人员(根据id获取下级部门和人员)
	function fillSelectorAndMemberMain(event){
		if( $(event.target).hasClass("disable") ){
			return;
		};
		$(obj.dialogId).find('.yk_selector_main').empty();
		$(obj.dialogId).find(".yk_selector_checkbtn input").prop("checked",false);
		var parentId;
		if( $(event.target).hasClass("childDepart") ){//点击的是'子部门'三个字的区域
			$(obj.dialogId).find(".yk_selector_navbar").append('<div dataid="'+$(event.target).parents('li').attr('dataid')+'" class="yk_selector_navbar_item notfirst"><i class="icon icon-angle-right"></i><span>'+$(event.target).parents('li').find('span').text()+'</span></div>');
			parentId = $(event.target).parents('li').attr('dataid')
		}else if( $(event.target).hasClass("backbtn") ){//点击的是导航头的'返回箭头'
			//这里写两遍是要去掉最后两个的偷懒写法
			$(obj.dialogId).find('.yk_selector_navbar .yk_selector_navbar_item:last').remove();
			$(obj.dialogId).find('.yk_selector_navbar .yk_selector_navbar_item:last').remove();
			parentId = $(obj.dialogId).find('.yk_selector_navbar .yk_selector_navbar_item:last').attr('dataid');
		}else{//点击的是导航头的部门名称
			if( $(event.target).hasClass("yk_selector_navbar_item") ){
				$(event.target).nextAll().remove();
				parentId = $(event.target).attr("dataid")
			}else{
				$(event.target).parents(".yk_selector_navbar_item").nextAll().remove();
				parentId = $(event.target).parents(".yk_selector_navbar_item").attr("dataid")
			}
		};
		$(obj.dialogId).find(".yk_selector_navbar").find(".yk_selector_navbar_item").show();
		if( $(obj.dialogId).find(".yk_selector_navbar").find(".yk_selector_navbar_item").length>3 ){
			$(obj.dialogId).find(".backbtn").show();
			for( var i=0;i<$(obj.dialogId).find(".yk_selector_navbar").find(".yk_selector_navbar_item").length-3;i++ ){
				$(obj.dialogId).find(".yk_selector_navbar").find(".yk_selector_navbar_item").eq(i).hide();
			}
			i = null;
		}else{
			$(obj.dialogId).find(".backbtn").hide();
		}
		$.ajax({
			url:ajaxurl,
			type:'get',
			async:false,
			data:{
				parentId:parentId
			},
			success:function(data){
				for( var i=0;i<data.length;i++ ){
					if( !data[i].type ){//部门
						if( chooseDepart ){
							$(obj.dialogId).find('.yk_selector_main').append('<li dataid="'+data[i].id+'" class="depart"><input class="leftcheck" type="checkbox"><i class="icon icon-folder-close"></i><span>'+data[i].name+'</span><em class="childDepart">子部门</em></li>');
						}else{
							$(obj.dialogId).find('.yk_selector_main').append('<li dataid="'+data[i].id+'" class="depart"><i class="icon icon-folder-close"></i><span>'+data[i].name+'</span><em class="childDepart">子部门</em></li>');
						}
					}else{//人员
						if( choosePerson ){
							$(obj.dialogId).find('.yk_selector_main').append('<li dataid="'+data[i].id+'" class="user"><input class="leftcheck" type="checkbox"><i class="icon icon-user"></i><span>'+data[i].name+'</span></li>');
						};
					}
				};
				i = null;
			},
			error:function(){
				new $.zui.Messager('获取部门错误:'+status, {
				    type: 'danger'
				 }).show();
			}
		});
		//右侧已选择部门或成员对应的左侧部门或成员设置为选中状态
		for( var i=0;i<$(obj.dialogId).find('.yk_selector_main').find('li').length;i++ ){
			for( var j=0;j<$(obj.dialogId).find(".yk_check_main li").length;j++ ){
				if( $(obj.dialogId).find('.yk_selector_main').find('li').eq(i).hasClass('user') ){
					if( $(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid") == $(obj.dialogId).find(".yk_check_main li").eq(j).find(".icon-remove-circle").attr("dataid") && $(obj.dialogId).find(".yk_check_main li").eq(j).hasClass("yk_check_list_item_user") ){
						$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).find(".leftcheck").prop("checked",true);
						break;
					}
				}else{
					if( $(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid") == $(obj.dialogId).find(".yk_check_main li").eq(j).find(".icon-remove-circle").attr("dataid") && $(obj.dialogId).find(".yk_check_main li").eq(j).hasClass("yk_check_list_item_depart") ){
						$(obj.dialogId).find('.yk_selector_main li').eq(i).find(".leftcheck").prop("checked",true);
						$(obj.dialogId).find(".yk_selector_main li").eq(i).find(".childDepart").addClass("disable");
						break;
					}
				}
			};
			j = null;
		};
		i = null;
		return false;
	};

	//要用不同的父元素来off和on,否则事件绑定会混乱...
	$(obj.dialogId).find('.yk_selector_main').off("click").on("click",'li em',fillSelectorAndMemberMain);//点击'子部门'
	$(obj.dialogId).find(".leftCheck").off('click').on("click",'.yk_selector_navbar_item.notfirst:not(:last)',fillSelectorAndMemberMain);//导航头点击
	$(obj.dialogId).find(".yk_selector_navbar").off('click').on("click",'.yk_selector_navbar_item:not(.notfirst)',getRootDepartMemberNode);//导航头点击
	$(obj.dialogId).find('.modal-content').off('click').on("click",'.backbtn',fillSelectorAndMemberMain);//导航头'返回箭头'点击

	//选择了部门或人员后的回调方法(通常是验证所选是否符合条件,可选)
	function checkCallBack(managerId){
		var meets = false;
		var data = callbackParam;
		data['managerId'] = managerId;
		$.ajax({
			url:callbackUrl,
			type:callbackType,
			data:data,
			async:false,
			success:function(data){
				if( data.success ){
					if( data.data ){
						meets = true;
					}else{
						new $.zui.Messager('该人员不符合条件, 请重新选择', {
						    type: 'danger'
						}).show();
					}
				}else{
					new $.zui.Messager(data.msg, {
					    type: 'danger'
					}).show();
				}
			},
			error:function(status){
				new $.zui.Messager(status, {
				    type: 'danger'
				}).show();
			}
		});
		return meets;
	};

	//选中人员或部门
	$(obj.dialogId).find('.modal-dialog').off("click").on("click",".yk_selector_main li",function(e){
		if( $(e.target).hasClass("leftcheck") ){//点住了复选框
			if( $(e.target).is(":checked") ){
				$(this).find(".childDepart").addClass("disable");
				if( singleCheck ){//设置了单选
					if( $(obj.dialogId).find(".yk_check_main li").length > 0 ){
						new $.zui.Messager('只能选择一个分配的人员', {
						    type: 'danger'
						}).show();
						$(e.target).prop('checked',false)
						return;
					}
				};
				if( isCallback ){//设置了选择人员或部门后走某个回调方法,不符合条件时不添加
					if( !checkCallBack($(this).attr("dataid")) ){
						$(e.target).prop('checked',false)
						return;
					}
				};
				if( $(this).hasClass("user") ){
					$(obj.dialogId).find(".yk_check_main").append('<li formdepartid="'+$(".yk_selector_navbar_item:last").attr('dataid')+'" class="yk_check_list_item yk_check_list_item_user yk_check_list_item_'+$(this).attr("dataid")+'"><i class="icon icon-user"></i><span>'+$(this).find("span").text()+'</span><i dataid="'+$(this).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
				}else{
					$(obj.dialogId).find(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_depart yk_check_list_item_'+$(this).attr("dataid")+'"><i class="icon icon-folder-close"></i><span>'+$(this).find("span").text()+'</span><i dataid="'+$(this).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
				};

			}else{
				$(this).find(".childDepart").removeClass("disable");
				if( $(this).hasClass("user") ){
					$(obj.dialogId).find(".yk_check_main").find(".yk_check_list_item_user.yk_check_list_item_"+$(this).attr("dataid")).remove();
				}else{
					$(obj.dialogId).find(".yk_check_main").find(".yk_check_list_item_depart.yk_check_list_item_"+$(this).attr("dataid")).remove();
				}
			}
		}else if( $(e.target).hasClass("childDepart") ){//点住了'子部门'
			return;
		}else{
			if( !chooseDepart ){//设置不选择部门时, 点击时不选中部门
				if(  $(this).find("input").length<=0 ){
					return;
				};
			};
			if( $(this).find("input").is(":checked") ){
				 $(this).find("input").prop("checked",false);
				 $(this).find(".childDepart").removeClass("disable");
				 if( $(this).hasClass("user") ){
					 $(obj.dialogId).find(".yk_check_main").find(".yk_check_list_item_user.yk_check_list_item_"+$(this).attr("dataid")).remove();
				 }else{
					 $(obj.dialogId).find(".yk_check_main").find(".yk_check_list_item_depart.yk_check_list_item_"+$(this).attr("dataid")).remove();
				 }
			}else{
				$(this).find("input").prop("checked",true);
				$(this).find(".childDepart").addClass("disable");
				if( singleCheck ){//设置了单选
					if( $(obj.dialogId).find(".yk_check_main li").length > 0 ){
						new $.zui.Messager('只能选择一个分配的人员', {
						    type: 'danger'
						}).show();
						$(this).find("input").prop('checked',false)
						return;
					}
				};
				if( isCallback ){//设置了选择人员或部门后走某个回调方法,不符合条件时不添加
					if( !checkCallBack($(this).attr("dataid")) ){
						$(this).find("input").prop('checked',false)
						return;
					}
				};
				if( $(this).hasClass("user") ){
					$(obj.dialogId).find(".yk_check_main").append('<li formdepartid="'+$(".yk_selector_navbar_item:last").attr('dataid')+'" class="yk_check_list_item yk_check_list_item_user yk_check_list_item_'+$(this).attr("dataid")+'"><i class="icon icon-user"></i><span>'+$(this).find("span").text()+'</span><i dataid="'+$(this).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
				}else{
					$(obj.dialogId).find(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_depart yk_check_list_item_'+$(this).attr("dataid")+'"><i class="icon icon-folder-close"></i><span>'+$(this).find("span").text()+'</span><i dataid="'+$(this).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
				}
			}
		}
	})

	//全选按钮
	$(obj.dialogId).find(".yk_selector_checkbtn input").click(function(){
		if( $(this).is(":checked") ){
			$(obj.dialogId).find('.yk_selector_main li input').prop("checked",true);
			$(obj.dialogId).find(".yk_selector_main li .childDepart").addClass("disable");
			for( var i=0;i<$(obj.dialogId).find('.yk_selector_main').find('li').length;i++ ){
				//把右侧选中区域还没有的左侧的值填充到右侧, 已经有了的就不必再次填了, 要区分部门和成员
				if( $(obj.dialogId).find('.yk_selector_main').find('li').eq(i).hasClass("user") ){
					if( $(obj.dialogId).find(".yk_check_main").find(".yk_check_list_item_user.yk_check_list_item_"+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid")).length<=0 ){
						$(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_user yk_check_list_item_'+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid")+'"><i class="icon icon-user"></i><span>'+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).find("span").text()+'</span><i dataid="'+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
					}
				}else{
					if( $(obj.dialogId).find(".yk_check_main").find(".yk_check_list_item_depart.yk_check_list_item_"+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid")).length<=0 ){
						$(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_depart yk_check_list_item_'+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid")+'"><i class="icon icon-folder-close"></i><span>'+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).find("span").text()+'</span><i dataid="'+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
					}
				}

			};
			i = null;
		}else{
			$(obj.dialogId).find('.yk_selector_main li input').prop("checked",false);
			$(obj.dialogId).find(".yk_selector_main li .childDepart").removeClass("disable");
			for( var i=0;i<$(obj.dialogId).find('.yk_selector_main').find('li').length;i++ ){
				//把右侧选中区域存在的左侧的值删掉, 要区分部门和成员
				if( $(obj.dialogId).find('.yk_selector_main').find('li').eq(i).hasClass("user") ){
					$(obj.dialogId).find(".yk_check_main").find(".yk_check_list_item_user.yk_check_list_item_"+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid")).remove();
				}else{
					$(obj.dialogId).find(".yk_check_main").find(".yk_check_list_item_depart.yk_check_list_item_"+$(obj.dialogId).find('.yk_selector_main').find('li').eq(i).attr("dataid")).remove();
				}
			};
			i = null;
		}
	});

	//右侧叉号取消选中
	$(obj.dialogId).find(".rightAlreadyCheck").on("click",".icon-remove-circle",function(){
		//把当前左侧区域涉及到的值的选中状态取消
		for( var i=0;i<$(obj.dialogId).find('.yk_selector_main li').length;i++ ){
			if( $(this).parents(".yk_check_list_item").hasClass("yk_check_list_item_user") ){
				if( $(obj.dialogId).find('.yk_selector_main li').eq(i).hasClass("user") && $(obj.dialogId).find('.yk_selector_main li').eq(i).attr("dataid") == $(this).attr("dataid") ){
					$(obj.dialogId).find('.yk_selector_main li').eq(i).find(".leftcheck").prop("checked",false);
					break;
				}
			}else{
				if( $(obj.dialogId).find('.yk_selector_main li').eq(i).hasClass("depart") && $(obj.dialogId).find('.yk_selector_main li').eq(i).attr("dataid") == $(this).attr("dataid") ){
					$(obj.dialogId).find('.yk_selector_main li').eq(i).find(".leftcheck").prop("checked",false);
					$(obj.dialogId).find(".yk_selector_main li").eq(i).find(".childDepart").removeClass("disable");
					break;
				}
			}
		};
		i = null;
		$(this).parents(".yk_check_list_item").remove();
	});

	//点击确定要执行的方法(可选)
	function isSureCarryFunction(managerId,orgId){
		var data = isSureCarryParam;
		if( isSureCarrySource == 'marketing-directAssign' ){//营销管理
			data['managerId'] = managerId;
			data['orgId'] = orgId;
		};
		if( isSureCarrySource == 'project-directAssign' ){//立项的分配列表
			data['assignee'] = managerId;
		};
		$.ajax({
			url:isSureCarryUrl,
			type:isSureCarryType,
			data:data,
			success:function(data){
				if( data.success ){
					if( data.data ){
						new $.zui.Messager('分配成功', {
						    type: 'success'
						}).show();
						$(obj.dialogId).modal('hide');
						$(obj.dialogId).on('hidden.zui.modal', function() {
							if( renewLoadUrl!='' ){
								$(".yk_rightcontent").load(renewLoadUrl)
							}
						});
					}else{
						new $.zui.Messager('分配失败', {
						    type: 'danger'
						}).show();
						$(obj.dialogId).modal('hide');
					}
				}else{
					new $.zui.Messager('分配请求失败:'+data.msg, {
					    type: 'danger'
					}).show();
					$(obj.dialogId).modal('hide');
				}
			},
			error:function(status){
				new $.zui.Messager('分配时出错:'+status, {
				    type: 'danger'
				}).show();
				$(obj.dialogId).modal('hide');
			}
		})
	};

	//确认选择部门或成员
	$(obj.chooseSure).unbind('click').bind('click',function(){
		if( atLeastOne ){
			if( $(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item").length<=0 ){
				new $.zui.Messager('请至少选择一个部门或成员', {
				    type: 'danger'
				 }).show();
				return;
			};
		};
		if( isSureCarry ){
			isSureCarryFunction($(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item:first").find('.icon-remove-circle').attr('dataid'),$(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item:first").attr('formdepartid'));
		}else{
			if( isConfirmStatus ) {
				let confirmObj = {}
				for( var i=0;i<$(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item").length;i++ ){
					confirmObj = {
						id: $(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item").eq(i).find(".icon-remove-circle").attr("dataid"),
						name: $(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item").eq(i).find("span").text()
					}
				}
				obj.confirmFunc(confirmObj)
			} else {
				$(obj.saveResultBox).empty();
				for( var i=0;i<$(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item").length;i++ ){
					var resultobj = '<span class="chooseDepartOrPersonSpan" dataid="'+$(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item").eq(i).find(".icon-remove-circle").attr("dataid")+'" type="'+$(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item").eq(i).find("i:first").attr("class")+'">'+$(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item").eq(i).find("span").text()+'</span>'
					$(obj.saveResultBox).append(resultobj);
				};
				i = null;
				if( $(obj.dialogId).find(".rightAlreadyCheck .yk_check_list_item").length<=0 ){
					$(obj.saveResultBox).append(atLeastWord);
				};
			}
			$(obj.dialogId).modal('hide');
			if( useInWeek ){
				$(obj.chooseSureHide).click();
			}

		};
	});

};
